UserInfo (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-15

org.gcube.portal.databook.shared

## Class UserInfo

- java.lang.Object
- - org.gcube.portal.databook.shared.UserInfo

- All Implemented Interfaces:
    Serializable

      public class UserInfo
      extends Object
      implements Serializable

  Author:
    Massimiliano Assante ISTI-CNR
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `USER_INFO_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserInfo()`
    `UserInfo(String username, String fullName, String avatarId, String emailaddress, String accountURL, boolean male, boolean admin, HashMap<String,String> ownVREs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccountURL()`
    `String` | `getAvatarId()`
    `String` | `getEmailaddress()`
    `String` | `getFullName()`
    `HashMap<String,String>` | `getOwnVREs()`
    `String` | `getUsername()`
    `boolean` | `isAdmin()`
    `boolean` | `isMale()`
    `void` | `setAccountURL(String accountURL)`
    `void` | `setAdmin(boolean admin)`
    `void` | `setAvatarId(String avatarId)`
    `void` | `setEmailaddress(String emailaddress)`
    `void` | `setFullName(String fullName)`
    `void` | `setMale(boolean male)`
    `void` | `setOwnVREs(HashMap<String,String> vreMap)`
    `void` | `setUsername(String username)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### USER_INFO_ATTR

          public static final transient String USER_INFO_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserInfo

          public UserInfo()

    - #### UserInfo

          public UserInfo(String username,
                          String fullName,
                          String avatarId,
                          String emailaddress,
                          String accountURL,
                          boolean male,
                          boolean admin,
                          HashMap<String,String> ownVREs)

  - ### Method Detail

    - #### getAccountURL

          public String getAccountURL()

    - #### setAccountURL

          public void setAccountURL(String accountURL)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getFullName

          public String getFullName()

    - #### setFullName

          public void setFullName(String fullName)

    - #### getAvatarId

          public String getAvatarId()

    - #### setAvatarId

          public void setAvatarId(String avatarId)

    - #### getEmailaddress

          public String getEmailaddress()

    - #### setEmailaddress

          public void setEmailaddress(String emailaddress)

    - #### isMale

          public boolean isMale()

    - #### setMale

          public void setMale(boolean male)

    - #### getOwnVREs

          public HashMap<String,String> getOwnVREs()

    - #### setOwnVREs

          public void setOwnVREs(HashMap<String,String> vreMap)

    - #### isAdmin

          public boolean isAdmin()

    - #### setAdmin

          public void setAdmin(boolean admin)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017. All Rights Reserved.